version: '3.7'

services:
  node:
    image: practice_node
    container_name: practice_node
    build:
      args:
        ENVIRONMENT: local
      context: ../
      dockerfile: deployment/docker/node/Dockerfile
    ports:
      - 8000:8000
    volumes:
      - ${PWD}/node:/web/node/:rw
    networks:
      - default

networks:
  default:
    name: practice-network
    external: true
